SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Security)  >   mod_auth_kerb Vendors:   modauthkerb.sourceforge.net
mod_auth_kerb Off-by-one Overflow Lets Remote Users Deny Service
SecurityTracker Alert ID:  1017348
SecurityTracker URL:  http://securitytracker.com/id/1017348
CVE Reference:   CVE-2006-5989   (Links to External Site)
Date:  Dec 7 2006
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 5.3
Description:   A vulnerability was reported in mod_auth_kerb. A remote user can cause denial of service conditions.

An off-by-one buffer overflow vulnerability exists in the SPNEGO processing code. A remote user can send a specially crafted authentication request to cause the child httpd processes to crash.

Kevin Unthank reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   The vendor has issued a fixed version (5.3), available at:

http://sourceforge.net/project/showfiles.php?group_id=51775

Vendor URL:  modauthkerb.sourceforge.net/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Dec 7 2006 (Red Hat Issues Fix) mod_auth_kerb Off-by-one Overflow Lets Remote Users Deny Service
Red Hat has released a fix for Red Hat Enterprise Linux 4.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC